#pragma once

#include "Widget.h"
#include "StackWidget.h"
#include <string>

class TabbedPanelWidget : public Widget
{
public:
    TabbedPanelWidget();

    static std::unique_ptr<TabbedPanelWidget> Create();

    void addPanel(WidgetUPtr panel, const std::string& label);

    StackWidget* getStack() const;

private:
    Widget* mNavPanel;
    StackWidget* mStack;
};

using TabbedPanelWidgetUPtr = std::unique_ptr<TabbedPanelWidget>;
